<div class="content">
  <nz-spin [nzSpinning]="loading">
    <nz-upload nzType="drag" [nzMultiple]="false" [nzAction]="url" [nzBeforeUpload]="beforeUpload"
      [nzShowUploadList]="false">
      <div class="upload">
        <p class="ant-upload-drag-icon">
          <img alt="" src="{{fileUploadInfo ? 'assets/images/icon/excel-upload.svg' : 'assets/images/icon/pages.svg' }}">
        </p>
        <p class="ant-upload-text">
        <div>
          <span class="upload__title-left" *ngIf="!fileUploadInfo">{{'shared.uploadFile.label.upload' | translate}}
          </span>
          <span class="upload__title-right" *ngIf="!fileUploadInfo">{{'shared.uploadFile.label.drag' |
            translate}}</span>
          <span class="upload__title-right" *ngIf="fileUploadInfo">{{fileUploadInfo.fileName}} </span>
        </div>
        <p class="ant-upload-hint">
          <span *ngIf="!fileUploadInfo">{{'shared.uploadFile.label.limitSize' | translate}}</span>
          <span *ngIf="fileUploadInfo">{{fileUploadInfo.fileSize | number : '1.2-2'}} MB</span>
        </p>
      </div>
      <div class="upload__error" *ngIf="error && !fileUploadInfo">
        <em nz-icon nzType="close-circle" nzTheme="fill"></em>
        <span>{{error}}</span>
      </div>
    </nz-upload>
  </nz-spin>
  <div class="upload__button">
    <button [disabled]="loading" *ngIf="fileUploadInfo" nz-button nzType="default" class="upload__button__cancel" (click)="handleCancel()">
      {{'shared.uploadFile.button.cancel' | translate}}
    </button>
    <button [disabled]="loading" *ngIf="fileUploadInfo" nz-button nzType="primary" class="upload__button__import" (click)="handleUpload()">
      {{'shared.uploadFile.button.upload' | translate}}
    </button>
  </div>
  <div class="upload__error-upload" *ngIf="fileUploadInfo && isError">
    <nz-alert nzType="error" [nzMessage]="err"></nz-alert>
  </div>
</div>
<ng-template #err>
  <div class="upload__error-template">
    <div *ngFor="let err of listError ; let i = index">
      <div class="color-err">
        <em nz-icon nzType="close-circle" nzTheme="fill"></em>
        <span class="color-err__label">{{err}}</span>
      </div>
    </div>
  </div>
</ng-template>
